Bug 8979 - "News" does not work with CCSR
Summary: "News" does not work with CCSR
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 18:27 UTC by Ed Veal
Modified: 2014-05-26 21:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8979 - simple addition of news to CCSR theme (1.28 KB, patch)
2013-02-25 01:51 UTC, Liz Rea
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8979 - simple addition of news to CCSR theme (1.46 KB, patch)
2013-02-25 20:38 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 8979 - simple addition of news to CCSR theme (1.50 KB, patch)
2013-03-18 16:26 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2012-10-29 18:27:20 UTC
The Koha>Tools>News features do not work withing the CCSR theme. 

Ed
Comment 1 Nicole C. Engard 2012-12-19 20:06:12 UTC
Changing assignee to Frédérick since he originally designed the theme and can probably fix this.
Comment 2 Nicole C. Engard 2012-12-26 13:40:15 UTC
Assignee changed per comment on bug 8884.
Comment 3 Liz Rea 2013-02-25 01:51:13 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2013-02-25 02:44:39 UTC
Probably at some point we will also want to have the option to click through to a news item if it gets too long. If you put a lot of news on the mobile page you lose the "log in" link off the bottom of the screen.

We could simply move that up to the top, as well, and let the news and stuff on the mobile home go down as far as it's wanted, or we could do like the user pages do and pop out a menu.

I don't know what's best, I'll leave that to a designer.
Comment 5 Liz Rea 2013-02-25 03:54:21 UTC
Also optional would be to stick the log in at the bottom and have the rest scroll "under" it.
Comment 6 Bernardo Gonzalez Kriegel 2013-02-25 20:38:14 UTC Comment hidden (obsolete)
Comment 7 Paul Poulain 2013-03-18 16:26:37 UTC
QA comment:
 * passes koha-qa.pl
 * trivial patch, does the job

passed QA
Comment 8 Paul Poulain 2013-03-18 16:26:50 UTC
Created attachment 16281 [details] [review]
Bug 8979 - simple addition of news to CCSR theme

Nothing fancy, just displays the news in the mobile view.

To test:

enable CCSR theme
ensure you have a news item that will be displayed on the home page
browse to your test site with a mobile phone - news item should be displayed (without the patch it will not be displayed)

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Works as described. No errors.

Note: Perhaps 'Persona' login could be hidden in movile view.
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 9 Jared Camins-Esakov 2013-03-19 12:46:56 UTC
This patch has been pushed to master.
Comment 10 Chris Cormack 2013-03-29 05:54:47 UTC
I wouldn't hide the persona login in mobile view, since it works fine on android/firefoxos phones. 

Pushed to 3.10.x will be in 3.10.5